
Foreman - Bug #11661

Puppet importer class should return a warning when a class is defined twice

09/02/2015 07:56 AM - Robert Walter

Status: New   

Priority: Low   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.9.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Had the problem that we added a class twice into puppet by a mistake. After import via Environments->Product->Import from puppet

we just saw the changes of the second definition of the class. The first definition was ignored completely. We searched a long time

until we found the problem, so it would be nice to get a warning from foreman when this happens.

Related issues:

Related to Foreman - Bug #3900: Class removed because invalid syntax validation New 12/17/2013

History

#1 - 09/02/2015 08:30 AM - Dominic Cleal

- Related to Bug #3900: Class removed because invalid syntax validation added

#2 - 09/02/2015 08:31 AM - Dominic Cleal

- Category set to Puppet integration
